techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. V3
  • SaaS Meal Subscription
  • Merchant APIs
    • List Merchant Orders
  • Customer APIs
    • Subscriptions
      • Subscriptions
        • List Subscriptions
        • Subscription Details
        • Change Subscription Location
        • Postpone/Pause/Resume SubOrders
        • Renew Subscription
        • List Subscription Orders
      • SubOrders
        • Customer SubOrders
        • Change SubOrder Location
        • Bulk Change Suborder Location
        • Change Meals
        • Change Delivery Window
        • Bulk Change Delivery Window
        • Bulk Change PickUp Branch
        • Frozen/Postponed SubOrders
        • Pre-Order
      • Complaints
        • Complain SubOrder
        • List Complaint Reasons
        • Complaint Details
      • invoices
        • List SubOrder Invoices
    • Plans
      • V3
        • Plan Tag
          GET
        • List Super Plans
          GET
        • Super Plan Details
          GET
        • Plan Date Details
          GET
        • List Feature Plan Tags
          GET
        • List Featured Plans
          GET
        • Plan Menu Categories
          GET
        • Has Purchased Plan
          POST
    • Order
      • Place Order
        • Place Order
        • List orders
        • Order Details
        • Vouchered Cart
        • Discounted Cart
        • Redeemed Cart
        • Add-On Order
        • Redeemed Add-Ons Cart
    • Menus
      • List Menus
      • Menu Details
      • Menu Add-Ons Details
      • Menu Options
    • Restaurant
      • List Restaurant
      • Restaurant Details
      • List Restaurant Branch
      • On-Demand Restaurants
      • Restaurant Menu
      • List Restaurant Categories
      • Product Details
      • Combo Details
      • Wallet Credit Products
      • Allergen Dislikes List
      • Product Variants List
      • Restaurant Variants List
    • Vouchers
      • Featured Vouchers List
    • configs
      • App Config Details
      • Light App Config
      • List Mobile Connectors
    • Prime
      • Corporate Location Details
  1. V3

Plan Menu Categories

GET
https://api.techrar.com/api/v3/plans/{plan_id}/plan-menu-category/
This endpoint allows customers to retrieve available menu categories and their meal options for a specific plan on the current day.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/api/v3/plans/192/plan-menu-category/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
[
    {
        "id": 230,
        "custom_fields": null,
        "category": {
            "id": 219,
            "custom_fields": null,
            "menu": {
                "id": 105,
                "custom_fields": null,
                "app_id": null,
                "created_at": "2024-07-25T15:16:23.713653+03:00",
                "modified_at": "2025-05-14T15:43:21.237223+03:00",
                "is_deleted": false,
                "deleted_at": null,
                "ordering": 0,
                "name_en": "Full Menu",
                "name_ar": "المنيو الكامل",
                "is_active": true,
                "repetition": 1,
                "off_days": null,
                "start_date": "2024-07-13",
                "skip_option_selection": false,
                "hide_from_app": false,
                "subscriptions_start_date": "2025-02-23",
                "restaurant": 90
            },
            "options": [
                {
                    "id": 4038,
                    "product": {
                        "id": 2351,
                        "name_ar": "بان كيك انجليزي",
                        "name_en": "English Pancake",
                        "description_ar": "خليط البانكيك الصحي يقدم مع كريمة الجبن و التوت  و البسكوت",
                        "description_en": "Healthy Pancakes Served With Cream Cheese,Berries ,Jam ,biscuits",
                        "image": "/media/uploads/products/images/2024/11/11/fb6bbc07-e76c-452c-adb1-2c48a716a088.png",
                        "original_price": 1.0,
                        "discount_percentage": 0.0,
                        "is_active": true,
                        "allergies": [
                            "milk",
                            "eggs"
                        ],
                        "tags": "",
                        "is_special": false,
                        "thumbnail": null,
                        "category": 98,
                        "restaurant_id": 90,
                        "variants": []
                    },
                    "is_active": true,
                    "is_recommended": false
                },
                {
                    "id": 4039,
                    "product": {
                        "id": 2350,
                        "name_ar": "كلوب ساندويتش",
                        "name_en": "Club sandwich",
                        "description_ar": "يقدم مع بيض،تركي مدخن،جبنة الشيدر",
                        "description_en": "Served With Egg,Turkey,Cheese",
                        "image": "/media/uploads/products/images/2024/11/11/d3317c8a-d453-4440-91b8-bcc65b7d11ea.png",
                        "original_price": 1.0,
                        "discount_percentage": 0.0,
                        "is_active": true,
                        "allergies": [
                            "milk",
                            "eggs"
                        ],
                        "tags": "",
                        "is_special": false,
                        "thumbnail": null,
                        "category": 98,
                        "restaurant_id": 90,
                        "variants": []
                    },
                    "is_active": true,
                    "is_recommended": false
                },
                {
                    "id": 4040,
                    "product": {
                        "id": 2348,
                        "name_ar": "فرنش توست بصوص التراميسو",
                        "name_en": "French Toast Tiramisu Sauce",
                        "description_ar": "",
                        "description_en": "",
                        "image": "/media/uploads/products/images/2024/11/11/068fe770-51b6-47b7-8e24-eef24ecc7e8d.png",
                        "original_price": 1.0,
                        "discount_percentage": 0.0,
                        "is_active": true,
                        "allergies": [
                            "milk"
                        ],
                        "tags": "",
                        "is_special": false,
                        "thumbnail": null,
                        "category": 98,
                        "restaurant_id": 90,
                        "variants": []
                    },
                    "is_active": true,
                    "is_recommended": false
                },
                {
                    "id": 31230,
                    "product": {
                        "id": 2344,
                        "name_ar": "دجاج كوردون بلو",
                        "name_en": "Cordon Blue & Mashed Potatos",
                        "description_ar": "يقدم مع البطاطس المهروسة و محشية بالجبنة و الديك الرومي",
                        "description_en": "Cordon Blue Chicken Stuffed Turkey,Cheese,Onions",
                        "image": "/media/uploads/products/images/2024/11/11/55f2f8e9-da79-4fb5-9c2a-426e5b63cc39.png",
                        "original_price": 1.0,
                        "discount_percentage": 0.0,
                        "is_active": true,
                        "allergies": [
                            "milk"
                        ],
                        "tags": "",
                        "is_special": false,
                        "thumbnail": null,
                        "category": 88,
                        "restaurant_id": 90,
                        "variants": [
                            {
                                "id": 1,
                                "name_en": "Rice",
                                "name_ar": "أرز"
                            },
                            {
                                "id": 2,
                                "name_en": "with rice 150 GM",
                                "name_ar": "ارز 150 جرام"
                            },
                            {
                                "id": 7,
                                "name_en": "كبسه150جرام",
                                "name_ar": "كبسه150جرام"
                            }
                        ]
                    },
                    "is_active": true,
                    "is_recommended": false
                }
            ],
            "app_id": null,
            "created_at": "2024-07-25T15:16:23.726391+03:00",
            "modified_at": "2025-05-14T15:43:21.242075+03:00",
            "is_deleted": false,
            "deleted_at": null,
            "ordering": 0,
            "name_en": "Breakfast",
            "name_ar": "الفطور",
            "hide_from_app": false,
            "daily_price_per_item": 100.0,
            "support_add_ons": true,
            "has_size_based_pricing": false,
            "icon": null
        },
        "app_id": null,
        "created_at": "2024-11-11T18:01:29.895017+03:00",
        "modified_at": "2024-11-11T18:01:29.895042+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "quantity": 1,
        "plan": 340
    }
]
Modified at 2025-12-02 07:37:29
Previous
List Featured Plans
Next
Has Purchased Plan
Built with